- Qt 5.15
- Qt WebEngine
- C++ Classes
- QWebEngineQuotaRequest
- Qt 5.15.19 Reference Documentation

# QWebEngineQuotaRequest Class

The QWebEngineQuotaRequest class enables accepting or rejecting requests for larger persistent storage than the application's current allocation in File System API. More...

Header: | #include <QWebEngineQuotaRequest>
Since: | Qt 5.11
Instantiated By: | QuotaRequest

This class was introduced in Qt 5.11.

- List of all members, including inherited members

## Properties

- origin : const QUrl
- requestedSize : const qint64

## Public Functions

void | accept()
QUrl | origin() const
void | reject()
qint64 | requestedSize() const
bool | operator!=(const QWebEngineQuotaRequest &that) const
bool | operator==(const QWebEngineQuotaRequest &that) const

## Detailed Description

This class is used by the QWebEnginePage::quotaRequested() signal to accept() or reject() a request for an increase in the persistent storage allocated to the application. The default quota is 0 bytes.

## Property Documentation

### origin : const QUrl

This property holds the URL of the web page that issued the quota request.

Access functions:

QUrl | origin() const

### requestedSize : const qint64

Contains the size of the requested disk space in bytes.

Access functions:

qint64 | requestedSize() const

## Member Function Documentation

### void QWebEngineQuotaRequest::accept()

Accepts a request for larger persistent storage.

Note: This function can be invoked via the meta-object system and from QML. See Q_INVOKABLE.

### void QWebEngineQuotaRequest::reject()

Rejects a request for larger persistent storage.

Note: This function can be invoked via the meta-object system and from QML. See Q_INVOKABLE.

### bool QWebEngineQuotaRequest::operator!=(const QWebEngineQuotaRequest &that) const

Returns `true` if that points to a different object than this request.

### bool QWebEngineQuotaRequest::operator==(const QWebEngineQuotaRequest &that) const

Returns `true` if that points to the same object as this quota request.